ingres_errno
ingres_errsqlstate
Ingres II Functions
PHP Manual

# ingres_error

(PECL ingres:1.1-1.4.3)

ingres_error — Gets a meaningful error message for the last error generated

### Description

string ingres_error ([ resource `$link` ] )

Returns a string containing the last error, or NULL if no error has occurred.

If a `link` resource is passed to ingres_error() it returns the last error recorded for the link. If no link is passed then ingres_error() returns the last error reported using the default link.

The function, ingres_error(), should always be called after executing any database query. Calling another function before ingres_error() is called will reset or change any error message from the last Ingres function call.

### Parameters

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns a string containing the last error, or NULL if no error has occurred.

### Examples

Example #1 ingres_error() example

`<?php
ingres_connect($database, $user, $password);
ingres_query("select * from table");
$error_text = ingres_error();
if (!is_null($error_text)) {
echo "An error occured - " . $error_text;
}
?>`

### See Also

- ingres_errno()
- ingres_errsqlstate()

ingres_errno
ingres_errsqlstate
Ingres II Functions
PHP Manual